Bug 200807 - No USB driver in "recovery" mode
Summary: No USB driver in "recovery" mode
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-31 18:56 UTC by H. Peter Anvin
Modified: 2014-03-17 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 18:12:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2006-07-31 18:56:43 UTC
Description of problem:

Trying to boot a system in "recovery" mode doesn't load the USB drivers.  In
other words, if you have a USB keyboard, you're screwed.

Version-Release number of selected component (if applicable):

initscripts-8.31.5-1

How reproducible:

On a system with USB keyboard, try to boot a system in "recovery" mode,

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2006-07-31 19:08:38 UTC
By recovery mode, do you mean init=/bin/bash, or single-user-mode? Or something else?

Comment 2 H. Peter Anvin 2006-08-10 05:13:33 UTC
I mean the mode that is called either "emergency" or "recovery" (don't recall at
the moment.)  It drops into a shell after mounting root.

Comment 3 Bill Nottingham 2006-08-10 13:16:32 UTC
Hm. Anything that starts a shell (whether it's fsck failure, or single user
mode), is well after we start udev. So any relevant hardware modules *should* be
loaded at that point.

Are any modules outside of what's on the initramfs loaded at all for you?

Comment 4 H. Peter Anvin 2006-08-10 16:55:25 UTC
USB modules do not seem to be part of what is loaded on the initramfs.


Comment 5 Bill Nottingham 2006-08-10 17:22:37 UTC
Is udev running?

Comment 6 Bill Nottingham 2006-09-21 18:12:45 UTC
Should be fixed in rawhide mkinitrd.


Note You need to log in before you can comment on or make changes to this bug.